vícejazyčný web - potřebuju s tim pomoct

McVitas
23. zář 2017 13:44 #132372
Zdravim,
poprvé zkouším něco s Joomla a hned na začátku se potýkám s takovými problémy, že už mě to přestává bavit :-] Chci udělat česko anglický web ale nejsem schopen stvořit dvě různá menu aby se opravdu zobrazilo to správné ve správném jazyce.
udělal jsem to přesně jak píšou zde
docs.joomla.org/J3.x:Setup_a_Multilingua...the_Language_Plugins
ale za prvé: ten language switcher je vadný a nezobrazuje žádné volby (jak píšou zde nebo zde ). Nechápu že po tolika letech je to stále rozbité. To by se ale dalo řešit spešl odkazem v menu asi...
Za druhé české menu za boha neni vidět i když mám zduplikovaný template na dva styly czech a english a v "assignment" mají přiřazené správně menu.
Byl by někdo ochoten se mi na to podívat? Beztak to bude nějaká jednoduchá kravina kterou jen nechápu protože jsem lama a noob :)

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od HonzaG
23. zář 2017 18:17 #132373
No předně při instalaci se Tě instalátor rovnou ptá, zda bude web vícejazyčný a pak vytvoří co je třeba. Pokud začínáš, Vrátil bych se k instalaci a vytvořil to znova.

Držím palce

HonzaG

::: Nejsem tak bohatý, abych kupoval levné věci... :::

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od McVitas
24. zář 2017 12:58 #132380
Tak už to funguje! Ale mám samozřejmě další problém. Pro tu znovu konfiguraci jsem stáhl novou Joomlu 3.8. Multijazyky tam jsou, ale Lt app showcase theme s joomla 3.8 asi neni compatible takže např
error Notice: Undefined property: stdClass::$rating in C:\inetpub\wwwroot\smartphones\templates\lt_app_showcase\html\com_content\category\blog_item.php
a taky mu chybí libraries/joomla/document/html/renderer/head.php
Tak to asi zkusim znovu s Joomla_3.7.5 holt...

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.

Odpověď od Bong
24. zář 2017 15:38 #132383
Aktualizace existují proto, aby odstraňovaly chyby. Zrovna J3.8 opravuje bezpečnostní chyby a jedna se dokonce táhne už od verze J1.5...

Jestli vám nechodí nějaká šablona, tak použijte jinou, nebo počkejte až ji autoři upraví. A nebo se podívejte do její dokumentace. Nepotřebuje náhodou pro svůj provoz nějaký framework? Máte opravdu vše nainstalované?

I'm sorry, my responses are limited...you must ask the right questions.

Pro možnost přispívání do fóra je nutné: Přihlásit se nebo Vytvořit účet.